Name:           libgnome-java
Version:        2.12.7
Release:        %mkrel 5.0.4
Epoch:          0
Summary:        Java bindings for libgnome
License:        LGPL
Group:          System/Libraries
URL:            http://java-gnome.sourceforge.net
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-%{version}.tar.bz2
Source1:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.changes
Source2:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.md5sum
Source3:        http://fr2.rpmfind.net/linux/gnome.org/sources/libgnome-java/2.12/libgnome-java-2.12.7.news
Source4:        java-gnome-macros.tar.bz2
BuildRequires:  docbook-utils
BuildRequires:  docbook-dtd30-sgml
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-rpmbuild
BuildRequires:  libgnome2-devel
BuildRequires:  java-gcj-compat-devel
BuildRequires:  libgnomecanvas2-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  libgtk-java-devel >= 0:2.10.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libgnome-java is a language binding that allows developers to write
GNOME applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Conflicts:      libgnome-java < 2.12.7-2

%description    devel
Development files for %{name}.

%prep
%setup -q
%setup -q -T -D -a 4

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAVAH=%{_jvmdir}/java-rpmbuild/bin/javah
export JAR=%{jar}
export JAVADOC=%{javadoc}
export GCJ=%{gcj}
# workaround:
# libtool does not use pic_flag when compiling, so we have to force it. 
export GCJFLAGS="-O2 -fPIC" 
export JAVAFLAGS=-Xmx360m
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
%{configure2_5x} --with-jardir=%{_javadir}
make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
%{_bindir}/zip -9 -r $zipfile $(find -name \*.java)
popd

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -rf %{buildroot}/%{name}-%{version}

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
%{__install} -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd %{buildroot}%{_javadir}
%{__ln_s} $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgnomejava-*.so
%{_libdir}/libgnomejni-*.so
%{_javadir}/*.jar

%files devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.zip
%{_libdir}/libgnomejava.so
%{_libdir}/libgnomejni.so
%{_libdir}/*la
%{_libdir}/pkgconfig/*


%changelog
* Thu Aug 26 2010 Funda Wang <fwang@mandriva.org> 0:2.12.7-5.0.4mdv2011.0
+ Revision: 573401
- rebuild for new gcj

* Sat Oct 31 2009 Frederic Crozat <fcrozat@mandriva.com> 0:2.12.7-5.0.3mdv2010.0
+ Revision: 460321
- Fix documentation path

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add similar workaround as the other gnome-java packages
    - rebuild against new libgcj

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Sep 19 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:2.12.7-5.0.1mdv2009.0
+ Revision: 285779
- bump memory
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:2.12.7-2mdv2008.0
+ Revision: 46762
- fix group
- remove requires that are handled automatically
- buildrequires java-compat-devel for correct gcj
- use %%gcj
- move .so, .la, pkgconfig, api docs, tutorial to -devel package
- use headers provided by java-gcj-compat-devel instead of libgcj


* Wed Jan 10 2007 David Walluck <walluck@mandriva.org> 2.12.7-1mdv2007.0
+ Revision: 107261
- cleanup
- 2.12.7

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:2.12.6-1mdv2007.1
+ Revision: 76504
- 2.12.6

* Sat Oct 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.5-3mdv2007.0
+ Revision: 71472
- remove ExclusiveArch
- spec cleanup
- 2.12.5
- Import libgnome-java

* Tue Sep 05 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-3mdv2007.0
- fix libgtk-java version

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:2.12.4-1mdv2007.0
- 2.12.4

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:2.12.3-1mdv2007.0
- 2.12.2

* Sat Apr 22 2006 David Walluck <walluck@mandriva.org> 0:2.12.2-1mdk
- 2.12.2

* Sat Jan 21 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-6mdk
- BuildRequires: libgnomecanvas2-devel, libgnomeui2-devel

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-5mdk
- libgtk-java contains the .pc file

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-4mdk
- BuildRequires: libgtk-java-devel

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2.12.1-3mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-2mdk
- add docbook to BuildRequires, but don't package manual yet

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0:2.12.1-1mdk
- 2.12.1

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-2mdk
- use %%{_javadir}

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:2.12.0-1mdk
- 2.12.0

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:2.10.1-1mdk
- release

* Sat May 21 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-3
- Fix permission on src.zip.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-2
- Add compressed java source to devel package.

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libgnome-java 2.10.1.

* Sun Apr 03 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libgnome-java 2.10.0.

* Fri Mar 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Require libgtk-java and java for build.
- Import libgnome-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libgnome-java 2.9.91.1.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb 08 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libgnome-java 2.9.91.

* Fri Feb 04 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libgnome-java 2.9.90.

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov 02 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-3
- Require libgtk-java for build.

* Tue Nov 02 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Don't build on s390.

* Mon Nov 01 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.

